<?php

error_reporting(E_ALL);
ini_set("display_errors", 1);
// Проверка уведомления
include(dirname(__FILE__) . '/../../config/config.inc.php');
include(dirname(__FILE__) . '/intellectmoney.php');

//Загружаем сохраненные данные
$order = array();
$order['eshopId'] = Tools::safeOutput(Configuration::get('IM_eshopId'));
$order['secretKey'] = Tools::safeOutput(Configuration::get('IM_secretKey'));

function ob_exit($status = null) {
    if ($status) {
        ob_end_flush();
        exit($status);
    } else {
        ob_end_clean();
        header("HTTP/1.0 200 OK");
        echo "OK";
        exit();
    }
}

function check_im() {
    if ($_SERVER['REMOTE_ADDR'] == "91.212.151.242" || $_SERVER['REMOTE_ADDR'] == "37.235.181.152" || $_SERVER['REMOTE_ADDR'] == "127.0.0.1")
        return true;

    return false;
}

if ($_REQUEST['debug_file']) {
    if (check_im())
        debug_file();
}
else {
    ob_start();

    $is_encoded = preg_match('~%[0-9A-F]{2}~i', $_REQUEST['serviceName']);
    if ($is_encoded) {
        list($eshopId, $orderId, $serviceName, $eshopAccount, $recipientAmount, $recipientCurrency,
                $paymentStatus, $userName, $userEmail, $paymentData, $secretKey, $hash) = array(
            $_REQUEST['eshopId'], urldecode($_REQUEST['orderId']), urldecode($_REQUEST['serviceName']), $_REQUEST['eshopAccount'],
            $_REQUEST['recipientAmount'], $_REQUEST['recipientCurrency'], $_REQUEST['paymentStatus'], urldecode($_REQUEST['userName']),
            urldecode($_REQUEST['userEmail']), urldecode($_REQUEST['paymentData']), $_REQUEST['secretKey'], $_REQUEST['hash']
        );
    } else {
        list($eshopId, $orderId, $serviceName, $eshopAccount, $recipientAmount, $recipientCurrency,
                $paymentStatus, $userName, $userEmail, $paymentData, $secretKey, $hash) = array(
            $_REQUEST['eshopId'], $_REQUEST['orderId'], $_REQUEST['serviceName'], $_REQUEST['eshopAccount'],
            $_REQUEST['recipientAmount'], $_REQUEST['recipientCurrency'], $_REQUEST['paymentStatus'], $_REQUEST['userName'],
            $_REQUEST['userEmail'], $_REQUEST['paymentData'], $_REQUEST['secretKey'], $_REQUEST['hash']
        );
    }



    // Проверка по секретному ключу
    if ($secretKey) {
        ///Проверка источника данных (по секретному ключу)
        if ($secretKey != $order['secretKey']) {
            $err = "ERROR: SECRET_KEY MISMATCH!\n";
            $err .= check_im() ? ("secretKey: " . $secretKey . "; order_secretKey: " . $order['secretKey'] . ";\n\n") : "\n";
            ob_exit($err);
        }

        //Проверка номера сайта продавца
        if ($eshopId != $order['eshopId']) {
            $err = "ERROR: INCORRECT ESHOP_ID!\n";
            $err .= "eshopId: " . $eshopId . "; order_eshopId: " . $order['eshopId'] . ";\n\n";
            ob_exit($err);
        }
    }
    // Проверка по контрольной подписи
    else {
        $control_hash_str = implode('::', array(
            $order['eshopId'], $orderId, $serviceName,
            $eshopAccount, $recipientAmount, $recipientCurrency, $paymentStatus,
            $userName, $userEmail, $paymentData, $order['secretKey'],
        ));
        $control_hash = md5($control_hash_str);
        $control_hash_utf8 = md5(iconv('windows-1251', 'utf-8', $control_hash_str));

        if (($hash != $control_hash && $hash != $control_hash_utf8) || !$hash) {
            $err = "ERROR: HASH MISMATCH\n";
            $err .= check_im() ? "Control hash string: $control_hash_str;\n" : "";
            $err .= "Control hash win-1251: $control_hash;\nControl hash utf-8: $control_hash_utf8;\nhash: $hash;\n\n";
            ob_exit($err);
        }
    }

    $proceedSKOStatus = Configuration::get('IM_createdState');
    $paidSKOStatus = Configuration::get('IM_payedState');
    $refundSKOStatus = Configuration::get('IM_refundState');
    $holdSKOStatus = Configuration::get('IM_holdState');

    // Создан СКО
    if ($paymentStatus == '3') {
        $id_order = Order::getOrderByCartId(intval($orderId));
        $order = new Order($id_order);
        if ($order->current_state == $paidSKOStatus || $order->current_state == $refundSKOStatus || $order->current_state == $holdSKOStatus) {
            $err = "Заказ отменен или уже оплачен";
            ob_exit($err);
        }
        $order->setCurrentState($proceedSKOStatus);
        ob_exit();
    }
    // Отменен СКО
    if ($paymentStatus == '4') {
        $id_order = Order::getOrderByCartId(intval($orderId));
        $order = new Order($id_order);
        $order->setCurrentState($refundSKOStatus);
        ob_exit();
    }
    // Полностью оплачен
    if ($paymentStatus == '5') {
        $id_order = Order::getOrderByCartId(intval($orderId));
        $order = new Order($id_order);
        if ($order->current_state == $refundSKOStatus) {
            $err = "Заказ отменен";
            ob_exit($err);
        }
        $order->setCurrentState($paidSKOStatus);
        ob_exit();
    }
    // Захолдирован
    if ($paymentStatus == '6') {
        $id_order = Order::getOrderByCartId(intval($orderId));
        $order = new Order($id_order);
        if ($order->current_state == $refundSKOStatus || $order->current_state == $paidSKOStatus) {
            $err = "Заказ отменен или полностью оплачен";
            ob_exit($err);
        }
        $order->setCurrentState($holdSKOStatus);
        ob_exit();
    }
}
?>